# Interface OpenIdConnectClientOptions

OpenIdConnectClient configuration for an application

interface OpenIdConnectClientOptions {
clientId: string;
openIdProviderUrl: string | URL;
redirectUri: string | URL;
}

##### Index

### Properties

clientId
openIdProviderUrl
redirectUri

## Properties

### `Readonly` clientId

clientId: string

The client id associated with the application

### `Readonly` openIdProviderUrl

openIdProviderUrl: string | URL

The URL of the Open ID Connect provider. openIdProviderUrl should either point to the root of the Open ID Connect provider or directly at its `.well-known/openid-configuration`.

#### Example

    if (openIdProviderUrl.endsWith('.well-known/openid-configuration')) {
      // `${openIdProviderUrl}` will be used to resolve the provider's configuration
    } else {
      // `${openIdProviderUrl}/.well-known/openid-configuration` will be used to resolve the provider's configuration
    }

### `Readonly` redirectUri

redirectUri: string | URL

The URL that the Open ID Connect provider should redirect the browser back to after authentication.